Package ru.bitel.bgbilling.modules.tv.server.bean

# Class TvAccountDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<TvAccount>
ru.bitel.bgbilling.common.dao.AbstractIdDao<TvAccount>
ru.bitel.bgbilling.modules.tv.server.bean.TvAccountDao

public class TvAccountDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<TvAccount>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvAccountDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TvAccount`
  `get(String login, Date time)`
  `TvAccount`
  `getByDeviceAccountId(String deviceAccountId, Date time)`
  `TvAccount`
  `getByIdentifier(String identifier, LocalDate date)`
  `TvAccount`
  `getFromRS(ResultSet rs)`
  `static TvAccount`
  `getFromRS(ResultSet rs, boolean contractLoad, boolean specAndDeviceLoad)`
  `int`
  `lastNumericLogin(int max)`
  Возвращает последний (наибольший) цифровой логин
  `List<TvAccount>`
  `list(int contractId)`
  `List<TvAccount>`
  `list(int contractId, boolean specAndDeviceLoad)`
  `List<TvAccount>`
  `list(int deviceId, String login, Date dateFrom, Date dateTo)`
  `List<TvAccount>`
  `list(int deviceId, String login, Date dateFrom, Date dateTo, boolean onlyRoot, String orderBy)`
  `List<TvAccount>`
  `listChildren(int parentId)`
  `List<TvAccount>`
  `listRuntime(int deviceId, Set<Integer> tvAccountSpecIds)`
  Получение списка сервисов для runtime.
  `List<TvAccount>`
  `listToCancel(Date now)`
  `List<TvAccount>`
  `listToCreate(Date now)`
  `Optional<TvAccount>`
  `optByDeviceAccountId(String deviceAccountId, Date time)`
  `List<TvAccount>`
  `search(List<ru.bitel.bgbilling.common.model.KeyValue> filter, int tvAccountSpecId, boolean loginStrictCheck)`
  `void`
  `updateDeviceStateAndOptions(int tvAccountId, String deviceAccountId, short state, Set<Integer> deviceOptions, int accessCode)`
  `protected void`
  `updateImpl(TvAccount tvAccount)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TvAccountDao

    public TvAccountDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    public static TvAccount getFromRS(ResultSet rs, boolean contractLoad, boolean specAndDeviceLoad) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    public TvAccount getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<TvAccount>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(TvAccount tvAccount) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<TvAccount>`
    Throws:
      `SQLException`

  - ### list

    public List<TvAccount> list(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<TvAccount> list(int contractId, boolean specAndDeviceLoad) throws SQLException
    Throws:
      `SQLException`

  - ### listRuntime

    public List<TvAccount> listRuntime(int deviceId, Set<Integer> tvAccountSpecIds) throws SQLException
    Получение списка сервисов для runtime. Отсортированы по parentId.
    Parameters:
      `deviceId` -
      `servIds` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### get

    public TvAccount get(String login, Date time) throws SQLException
    Throws:
      `SQLException`

  - ### getByIdentifier

    public TvAccount getByIdentifier(String identifier, LocalDate date) throws SQLException
    Throws:
      `SQLException`

  - ### getByDeviceAccountId

    public TvAccount getByDeviceAccountId(String deviceAccountId, Date time) throws SQLException
    Throws:
      `SQLException`

  - ### optByDeviceAccountId

    public Optional<TvAccount> optByDeviceAccountId(String deviceAccountId, Date time) throws SQLException
    Throws:
      `SQLException`

  - ### listChildren

    public List<TvAccount> listChildren(int parentId) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<TvAccount> list(int deviceId, String login, Date dateFrom, Date dateTo) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<TvAccount> list(int deviceId, String login, Date dateFrom, Date dateTo, boolean onlyRoot, String orderBy) throws SQLException
    Throws:
      `SQLException`

  - ### updateDeviceStateAndOptions

    public void updateDeviceStateAndOptions(int tvAccountId, String deviceAccountId, short state, Set<Integer> deviceOptions, int accessCode) throws SQLException
    Throws:
      `SQLException`

  - ### listToCreate

    public List<TvAccount> listToCreate(Date now) throws SQLException
    Throws:
      `SQLException`

  - ### listToCancel

    public List<TvAccount> listToCancel(Date now) throws SQLException
    Throws:
      `SQLException`

  - ### lastNumericLogin

    public int lastNumericLogin(int max) throws SQLException
    Возвращает последний (наибольший) цифровой логин
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### search

    public List<TvAccount> search(List<ru.bitel.bgbilling.common.model.KeyValue> filter, int tvAccountSpecId, boolean loginStrictCheck) throws SQLException
    Throws:
      `SQLException`